Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045267
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2020-10-21 13:432020-11-24 17:30
ReporterkchoperenaView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityhighResolutionfixedFixed in VersionRR21Q1
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045267: The previousgrosspricestd field is not working correctly when we load a synchronized ticket

DescriptionWhen we reload a ticket from the back-end, for example, a Quotation, and we try to convert it in a Sales Order, the previousgrosspricestd field is not working properly.
Can be noticed using products with discounts and related to a service that can change the product tax
Steps To Reproduce1.- Log in to the WebPOS
2.- Create a Quotation
3.- Add the product "Tent 3 season 2 person"
4.- Add the service "Installation pack" related to the product line (note that the unit price of the product has changed because of the service conf -> http://wiki.openbravo.com/wiki/Projects:Services_can_change_taxes [^])
5.- Apply a "disc_5_var_euro" discount to the product line
6.- Complete the quotation and close it
7.- Reopen the Quotation using the "Open receipts" menu entry
8.- Convert the Quotation in an Order using the "Create Sales Order" menu entry
9.-Remove the service line

RESULT:
After remove the service line, the unit price of the product has not been updated correctly to the original one. Also, the applied discount disappears.

In 20Q1, when we convert the Quotation in an Order, the unit price of the product is calculated incorrectly.

VIDEO: https://drive.google.com/file/d/1arHJPloqwdkNCQ63NukX2G5_QEdkd_B3/view [^]
Proposed Solution- Add a new column in c_orderline with the name EM_OBPOS_PREVIOUSGROSSPRICESTD
- Add logic in the OrderLoader to set the property
- Add logic in the PaidReceipts to load the property in the WebPOS as PREVIOUSGROSSPRICESTD (in 20Q1 should be taxChangedPrice)
TagsNo tags attached.
Attached Filesdiff file icon 45267_20Q1_posterminal.diff [^] (8,593 bytes) 2020-10-23 10:06 [Show Content]
diff file icon 45267_20Q1_posterminal_v2.diff [^] (9,256 bytes) 2020-11-19 09:21 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0123824)
kchoperena (developer)
2020-10-21 13:45

We want the fix of this issue for 20Q1. In 20Q1, the "problematic" variable is the "taxChangedPrice". To take into account in the OrderLoader and PaidReceipts modifications
(0124266)
hgbot (developer)
2020-11-11 05:08

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.contactinfoforproduct/-/merge_requests/5 [^]
(0124267)
hgbot (developer)
2020-11-11 05:08

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/100 [^]
(0124268)
hgbot (developer)
2020-11-11 05:08

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/163 [^]
(0124445)
kchoperena (developer)
2020-11-17 10:47

The patch of 20Q1 is not working as should be. When we transform the quotation in an order, the price is changed.

See the attached video (note: the video was recorded in a BUT 20Q1 environment with the patch applied)

https://drive.google.com/file/d/179QudK8wzLLu51M-stOdR1EKhvpjM84Y/view [^]
(0124590)
hgbot (developer)
2020-11-24 17:30

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.contactinfoforproduct [^]
Changeset: a307ee1deb0d5f755c630d30de03ca5f74c9d665
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2020-11-23T16:18:57+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.contactinfoforproduct/-/commit/a307ee1deb0d5f755c630d30de03ca5f74c9d665 [^]

Related to ISSUE-45267: Added ActionPreparation for CreateTicket from Quotation

---
A web/org.openbravo.retail.contactinfoforproduct/app/model/business-object/ticket/actions/CreateTicketActionPreparations.js
M src/org/openbravo/retail/contactinfoforproduct/ContactInfoForProductComponentProvider.java
R web/org.openbravo.retail.contactinfoforproduct/js/hookPreCreateOrderFromQuotation.js
---
(0124591)
hgbot (developer)
2020-11-24 17:30

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.contactinfoforproduct/-/merge_requests/5 [^]
(0124592)
hgbot (developer)
2020-11-24 17:30

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core [^]
Changeset: 305bffa0cfdda14c22d1d3a4fb7253bac6df0d30
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2020-11-23T16:21:09+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/commit/305bffa0cfdda14c22d1d3a4fb7253bac6df0d30 [^]

Related to ISSUE-45267: Updated callback of DialogUIHandler if multiple params present

---
M web/org.openbravo.mobile.core/app/view/DialogUIHandler.js
---
(0124593)
hgbot (developer)
2020-11-24 17:30

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/100 [^]
(0124594)
hgbot (developer)
2020-11-24 17:30

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: f1033d0b80dab491e26365ecf1344489d59527f9
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2020-11-23T16:27:28+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/f1033d0b80dab491e26365ecf1344489d59527f9 [^]

Fixed ISSUE-45267: Added StateAPI for CreateTicket from Quotation

---
A web/org.openbravo.retail.posterminal/app/model/business-object/ticket/actions/CreateTicketFromQuotation.js
M src/org/openbravo/retail/posterminal/OBPOSComponentProvider.java
M web/org.openbravo.retail.posterminal/app/model/business-object/ticket/actions/AddProduct.js
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0124595)
hgbot (developer)
2020-11-24 17:30

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/163 [^]

- Issue History
Date Modified Username Field Change
2020-10-21 13:43 kchoperena New Issue
2020-10-21 13:43 kchoperena Assigned To => Retail
2020-10-21 13:43 kchoperena Triggers an Emergency Pack => No
2020-10-21 13:45 kchoperena Note Added: 0123824
2020-10-22 09:49 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2020-10-23 04:34 ranjith_qualiantech_com File Added: 45267_20Q1_posterminal.diff
2020-10-23 09:16 ranjith_qualiantech_com File Deleted: 45267_20Q1_posterminal.diff
2020-10-23 10:06 ranjith_qualiantech_com File Added: 45267_20Q1_posterminal.diff
2020-10-27 07:54 ranjith_qualiantech_com Status new => scheduled
2020-11-11 05:08 hgbot Note Added: 0124266
2020-11-11 05:08 hgbot Note Added: 0124267
2020-11-11 05:08 hgbot Note Added: 0124268
2020-11-17 10:47 kchoperena Note Added: 0124445
2020-11-19 09:21 ranjith_qualiantech_com File Added: 45267_20Q1_posterminal_v2.diff
2020-11-24 17:30 hgbot Note Added: 0124590
2020-11-24 17:30 hgbot Note Added: 0124591
2020-11-24 17:30 hgbot Note Added: 0124592
2020-11-24 17:30 hgbot Note Added: 0124593
2020-11-24 17:30 hgbot Resolution open => fixed
2020-11-24 17:30 hgbot Status scheduled => closed
2020-11-24 17:30 hgbot Fixed in Version => RR21Q1
2020-11-24 17:30 hgbot Note Added: 0124594
2020-11-24 17:30 hgbot Note Added: 0124595


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker